Автор Тема: Състоянието на тестовия Дебиян към Декември 2020?  (Прочетена 3772 пъти)

jet

  • Напреднали
  • *****
  • Публикации: 2162
  • Distribution: debian
  • Window Manager: kde
    • Профил
Remo, дай един:
apt-mark showhold

и един:
aptitude why-not dolphin

и то че си каже
Активен

..⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁
  ⢿⡄⠘⠷⠚⠋
  ⠈⠳⣄⠀⠀⠀⠀  Debian, the universal operating system.

remotexx

  • Напреднали
  • *****
  • Публикации: 1144
    • Профил
Код
GeSHi (Bash):
  1. root@localhost:~# apt-mark showhold
  2. root@localhost:~#
  3.  
  4. root@localhost:~# aptitude why-not dolphin
  5. p   xsane:i386     Provides   xsane                          
  6. p   xsane:i386     Recommends firefox:i386 | www-browser:i386
  7. p   konqueror:i386 Provides   www-browser:i386              
  8. p   konqueror:i386 Depends    dolphin:i386                  
  9. p   dolphin:i386   Conflicts  dolphin                        
  10.  

какво общо имат xsane, firefox с dolphin не знам ама ми излизат в списъка
освен това подходът им е наобратно - мога ли сега за всичките 250 листа поотделно да питам защо иска да ги маха, не можаха ли като Федорката да го направят 1 (или 2 -3) корена (и останалите листа зависят от тях) напр.
kf5-xxx broken - depends on kf5-yyy което още си чака новата версия *.0.8 и останалите 250 зависят от него

т.е. дотук само разбрахме че не са си оправили multi-arch support-а
Явно КДЕ.386 няма кой да им го пакетира а и на всичко отогре са забравили да го махант като зависимост (на х64) от мултиарх.

ето и нещо различно от мултиарх. - защо ли се е засилило да го маха? /сега нямам време всичките 250 листа да проверя - ама ми отвориха занимавка за месеци напред да махам .386 пакети дето не ми трябват/

Код
GeSHi (Bash):
  1. root@localhost:~# aptitude why-not calibre
  2. Manually installed, current version 5.0.1+dfsg-1, priority extra
  3. The candidate version 5.8.1+dfsg-1 has priority optional
  4. No dependencies require to remove calibre
  5.  
  6. root@localhost:~# aptitude why-not calligra
  7. Manually installed, current version 1:3.2.1+dfsg-2, priority optional
  8. No dependencies require to remove calligra
« Последна редакция: Dec 31, 2020, 02:57 от remotexx »
Активен

jet

  • Напреднали
  • *****
  • Публикации: 2162
  • Distribution: debian
  • Window Manager: kde
    • Профил
Най-вероятно защото в хранилищата е и дебиан стабле.
Моят съвет е давай и мажи смело (с dist-upgrade), така  dolphin:i386   ще се припокрие с  dolphin
Активен

..⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁
  ⢿⡄⠘⠷⠚⠋
  ⠈⠳⣄⠀⠀⠀⠀  Debian, the universal operating system.

remotexx

  • Напреднали
  • *****
  • Публикации: 1144
    • Профил
Не мисля така, ще се опитам първо да разкарам 386те, ама това може да събори мултиарх-а като допре до DLLчетата се, може да имам нещо дето да иска 32 бита напр. Скайп.. знам ли
Освен това тези дето иска да ги маха нямат :386 отзад т.е. то дефакто казва нормалния демек 64 битов делфин си е ОК, но дипендънсито му т.е. 32 битовия няма ъпдейт и дай да решим проблема като разкараме dolphin без :386 т.е. иска да махне 64 битовия.
Аз поне така ги разбирам нещата.. а бе няма ли живи Дебиянджии тука... или само аз ли съм (каръка) на тестовия Дебиян.  ???
« Последна редакция: Dec 31, 2020, 08:39 от remotexx »
Активен

cybercop

  • Напреднали
  • *****
  • Публикации: 5590
  • Distribution: Ubuntu LTS, CENTOS 6.x
  • Window Manager: Xfce, Gnome 2
    • Профил
Както казах НЯМАМ замразени пакети - от днешното обновяване.
Ето и пълния списък с (временно) блокираните - от АПТ че иначе требе снимка която я фане 20-30 я не (на един екран)

вж. секция 'The following packages have been kept back:'
и най-накрая: 106 upgraded, 0 newly installed, 0 to remove and 821 not upgraded.
Е те тия същите Sinaptic/Aptitude ги слагат в графата 821 to remove

Та въпросът ми сега е как да разбера що тия са 821 not upgraded?
та да търся да го оправям...


Не знам, защо постоянно ползвате безопасното надграждане. Колегата също изписа отдолу командата за него (apt-get upgrade).

su
apt-get dist-upgrade
или
apt full-upgrade
« Последна редакция: Dec 31, 2020, 12:15 от cybercop »
Активен

Ползването на Linux води до пристрастяване. Факт.
http://s19.postimg.cc/4oajwoq5v/xenial2.png

remotexx

  • Напреднали
  • *****
  • Публикации: 1144
    • Профил
@cybercop  в случая мисля че Гогата е прав ...за съжаление
Ако се върнем няколко поста назад съм пуснал какво точно иска да махне за да разреши зависимостите напр. иска да маха dolphin а НЕ dolphin:i386
Ако искаше да махне dolphin:i386 аз нямам проблем с това, изцяло 64 бит съм ..най-много до умре скайпа или част от него, по мои спомени навремето трябваше да зареждам 32 бит библиотеки само за да подкара звук иначе 64 битовия скайп.

т.е. full/dist -upgrade иска да махне 64 бит dolphin, и вероятно да остави 32 битовия необновен на по-стара версия и така да си реши конфликта че 64 битовия има по-нова версия а 32 няма
Предпочитам да изчакам още докато apt upgrade реши че вече е безопасно и може да ги обнови и двете 32 и 64 бит едновременно, отколкото да последвам съвета за full/dist upgrade и да остана без dolphin, вероятно и без половината КДЕ, и ако по случайност ми тръгне КДЕ-то то ще да е изцяло 32 битовата версия само и то много дърта и необновена 32 бит версия...

П.П. може и аз да греша - има ли опция която да принуди АПТ задължително да покаже архитектурата на пакета, аз си мисля че понеже съм 64 то без арх. има предвид базовата в сл. 64 а при пакет:i386 е 32 бит, т.е. ако базовата ми система е 32 бит то тогава би трябвало да е обратно, т.е. на 32 бит система dolphin - 32 bit, dolphin:i686 / x64 64 bit
т.е. когато АПТ каже напр. че иска да маха dolphin без изрично указана арх. има предвид различни неща според базовата арх. на системата...
А дали е така... Кой ще ми каже...

П.П.П. както вече казах, може и аз да се бъркам с тоя новия АПТ, но и Синаптика и Аптитюда ми показват само
Пакет
Пакет:и386
от което заключих, че като иска да маха dolphin (а НЕ dolphin:i386) то иска да ми махне 64 битовия, не ли?
« Последна редакция: Dec 31, 2020, 14:38 от remotexx »
Активен

jet

  • Напреднали
  • *****
  • Публикации: 2162
  • Distribution: debian
  • Window Manager: kde
    • Профил
и на мен ми показва същия конфликт, ама КДЕто си е цяло и не е изтрито, няма и нищо за обновяване.
Обновявай смело.
Активен

..⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁
  ⢿⡄⠘⠷⠚⠋
  ⠈⠳⣄⠀⠀⠀⠀  Debian, the universal operating system.

malin1

  • Напреднали
  • *****
  • Публикации: 254
  • Distribution: Debian
  • Window Manager: Openbox
    • Профил
Е, ма то излизат, че били три тръна - ем Тест, ем КДЕ, ем мултиархитект. Нали "ще пуцат 32 пъти" вече, то е с най-малкия приоритет (тъй мисля).
А, пък Скипето не го мисли, те го отваха (тъй казват) 386-то.
Активен

remotexx

  • Напреднали
  • *****
  • Публикации: 1144
    • Профил
Малински, извинявай но не те разбрах нещо...

1. проблема не ми е Скайпа, ами подозирам/х следния сценарий напр. Скайп държи напр. ххЛиб:и386 зависимост който държи останалите 250 пакета 32 бит (т.е. иска да ги обнови като зависимсоти вече на ххЛиб, а на тях пък проблема вече е разминаването 32 бит и 64 бит версията) и понеже в Дебиян всичко е наобратно aptitude why-not dolphin казва че е счупен заради dolphin:i386 и веригата се прекъсва дотам, не мога да разбера що държи да обнови dolphin:i386 а аз съм си ОК ако ми обнови 64ката до последната а 32ката да си остане на колкото е (ама не то ми предлага само да махне 64та щото тя му пречи щото по-нова) - докато Федората по-правилно строи дървото на зависимостите почвайки от корена и.. вече кой ти навлиза в подробности да изчете всичките листа по дървото като знае че е един (или са 2-3) коренови пакета дето завличат останалите 250

2. какво имаш предвид под "ще пуцат 32 пъти" - ще махат мултиарх ли? Аз съм ОК с това - поне ще ми реши проблемите.

3. Не е баш така - трите тръна са КДЕ, плазма и QT

П.П. намeрих официалната документация и се оказах прав - т.е. като  казва dolphin се има предвид базовата архитектура т.е. при мен 64 a само когато е различна я показва т.е. на 64 показва *:i386 a при базова 32 система пък ще добави само :amd64 към 64 битовите, тъй че @jet не смятам още да махам dolphin щото при мен това значи да махне dolphin:amd64 и какво.. или ще остана без файлов мениджър (и покрай него половин КДЕ) или ако както казваш си направил ти то най-вероятно си останал само на гол 32 битов делфин при това стара версия  ???

П.П.П. Сега като се замисля не знам защо реших че 64ката трябва да е по-новата версия, може па 32 битовата архитектура да е дръпнала по-напред и там да е проблема. Както и да е реших да изчакам още 5-6 м. или поне до следващата официална версия да излезе преди да дам dist/full - да ге  :o
« Последна редакция: Jan 01, 2021, 07:19 от remotexx »
Активен

User13

  • Гост
Мрежова инсталация от вчера на тестовото издание.
Проблемите с KDE са, че при прясна инсталация след подаване на команда в терминал за инсталация на пакет изкарва един не много голям списък за autoremove. Не е кой знае какво лесно се коригира.
Wayland все още си има проблеми и ми се струва, че ще се влачат за винаги, защото от KDE само кърпят Kwin за работа с Wayland. Решили са, че е много трудоемко да го напишат от нулата а и щяло да има много регресии, така че...
Други проблеми не се забелязват.
Gnome работи стабилно там няма никакви проблеми и изнеанди.
Активен

malin1

  • Напреднали
  • *****
  • Публикации: 254
  • Distribution: Debian
  • Window Manager: Openbox
    • Профил
Няма как да го проиграеш "на прясно", нямаш много "стари неща". Трябва да тръгнеш от Стар, примерно, да го надградиш на Стабилен и после вече... И да инсталираш точно мутиарх начално и да го ползваш обилно.
 [_]3 поне пораздвижи "залоените" ни гънки Ремо.
Ако  си прав за 386-то, значи все още има надежда за старите железа в къщи, дето ги имам.
Активен

jet

  • Напреднали
  • *****
  • Публикации: 2162
  • Distribution: debian
  • Window Manager: kde
    • Профил
тъй че @jet не смятам още да махам dolphin щото при мен това значи да махне dolphin:amd64 и какво.. или ще остана без файлов мениджър (и покрай него половин КДЕ) или ако както казваш си направил ти то най-вероятно си останал само на гол 32 битов делфин при това стара версия  ???
Това не е вярно:

Код
GeSHi (Bash):
  1. aptitude show dolphin
  2. Package: dolphin                        
  3. Version: 4:20.12.0-2     <<<<<<<<<<<<<<<<<<<<<<<<
  4. State: installed
  5. Automatically installed: yes
  6. Priority: optional
  7. Section: utils
  8. Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
  9. Architecture: amd64      <<<<<<<<<<<<<<<<<<<<<<<<
  10. Uncompressed Size: 10.6 M
  11. Depends: baloo-kf5, kinit, kio, libc6 (>= 2.29), libdolphinvcs5 (= 4:20.12.0-2), libkf5activities5 (>= 5.73.0~), libkf5baloo5 (>= 5.73.0~),
  12.         libkf5baloowidgets5 (>= 4:20.04.0~), libkf5bookmarks5 (>= 5.73.0~), libkf5codecs5 (>= 4.96.0), libkf5completion5 (>= 5.73.0~),
  13.         libkf5configcore5 (>= 5.73.0~), libkf5configgui5 (>= 5.73.0~), libkf5configwidgets5 (>= 5.69.0), libkf5coreaddons5 (>= 5.73.0~),
  14.         libkf5crash5 (>= 5.73.0~), libkf5dbusaddons5 (>= 5.73.0~), libkf5filemetadata3 (>= 5.73.0~), libkf5i18n5 (>= 5.73.0~),
  15.         libkf5iconthemes5 (>= 5.73.0~), libkf5itemviews5 (>= 4.96.0), libkf5jobwidgets5 (>= 5.70.0), libkf5kcmutils5 (>= 5.73.0~),
  16.         libkf5kiocore5 (>= 5.77.0), libkf5kiofilewidgets5 (>= 5.73.0~), libkf5kiogui5 (>= 5.74.0), libkf5kiowidgets5 (>= 5.73.0~),
  17.         libkf5newstuff5 (>= 5.73.0~), libkf5notifications5 (>= 5.73.0~), libkf5parts5 (>= 5.73.0~), libkf5service-bin, libkf5service5 (>=
  18.         4.99.0), libkf5solid5 (>= 5.74.0), libkf5textwidgets5 (>= 5.73.0~), libkf5widgetsaddons5 (>= 5.35.0), libkf5windowsystem5 (>=
  19.         5.73.0~), libkf5xmlgui5 (>= 4.98.0), libkuserfeedbackcore1 (>= 1.0.0), libkuserfeedbackwidgets1 (>= 1.0.0), libpackagekitqt5-1 (>=
  20.         1.0.2), libphonon4qt5-4 (>= 4:4.8.0), libqt5core5a (>= 5.15.1), libqt5dbus5 (>= 5.14.0~), libqt5gui5 (>= 5.14.1) | libqt5gui5-gles (>=
  21.         5.14.1), libqt5widgets5 (>= 5.15.1), libqt5xml5 (>= 5.14.0~), libstdc++6 (>= 4.6), phonon4qt5
  22. Recommends: kimageformat-plugins, kio-extras
  23. Suggests: dolphin-plugins
  24. Conflicts: dolphin:i386
  25. Description: file manager
  26. Dolphin is the default file manager in the Plasma, intended to be both powerful and easy to use.
  27.  
  28. Features include:
  29.  Customisable sidebars
  30.  "Breadcrumb" navigation
  31.  View properties remembered for each folder
  32.  Split views
  33.  Network transparency
  34.  Undo/redo functionality
  35.  Ratings, comments, and tags
  36. Homepage: https://apps.kde.org/en/dolphin
  37. Tags: implemented-in::c++, interface::graphical, interface::x11, role::program, suite::kde, uitoolkit::qt, use::organizing, works-with::file,
  38.      x11::application

Въпреки, че пак си дава конфликт:

Код
GeSHi (Bash):
  1. aptitude why-not dolphin
  2. i   xsane-common   Recommends xsane                          
  3. p   xsane:i386     Provides   xsane                          
  4. p   xsane:i386     Recommends firefox:i386 | www-browser:i386
  5. p   konqueror:i386 Provides   www-browser:i386              
  6. p   konqueror:i386 Depends    dolphin:i386                  
  7. p   dolphin:i386   Conflicts  dolphin      


Забелязал съм, че понякога апт казва, че ще затрие някой пакет, но всъщност го обновява (може би когато major версията мръдне).
Активен

..⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁
  ⢿⡄⠘⠷⠚⠋
  ⠈⠳⣄⠀⠀⠀⠀  Debian, the universal operating system.

User13

  • Гост
Една нова инсталация на тестовия дебиан отнема не повече от половин час. Още половин час настройка на това, онова и цялата драма приключва за един час.
А като глеадам тази тема колко се е проточила...
Активен

jet

  • Напреднали
  • *****
  • Публикации: 2162
  • Distribution: debian
  • Window Manager: kde
    • Профил
Темата не е толкова "интересна" колкото драмите ти с резолюциите на екрана и CSS на сайта - за което ти се извиняваме.
Защо изобщо си зарязал Яндекс-а и си дофтасал при ИТ шивачките.
Активен

..⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁
  ⢿⡄⠘⠷⠚⠋
  ⠈⠳⣄⠀⠀⠀⠀  Debian, the universal operating system.

remotexx

  • Напреднали
  • *****
  • Публикации: 1144
    • Профил
@jet "Забелязал съм, че понякога апт казва, че ще затрие някой пакет, но всъщност го обновява (може би когато major версията мръдне)."
Нека "позная" и ти като мен си го обновявал само с apt upgrade, но ако пробваш dist/full-upgrade дали няма да ти поиска и при теб да го махне dolphin напр. и т.н.
Инак и аз съм сългасен (с горното) и ще чакам до... следващат стабилна версия (за да дам full/dist-*)
Проблема е ..че е трудно, почти невъзможно (при Дебиян - за разлика от Федора) да определиш (с просто око - на окомер) кой пакет (кат се дигне до 4.0.12) и дали е 64 иил 32 прецаква другите 250 - както се убедихме всички при Дебияна всичко е наобратно и нишката се къса още на dolphin:i386  а него какво го чупи и така приказка безкрай ..която както каза Малински води верятно до некой стар и многократно обновяван мултиарх пакет ..ама как да разбера кой

Както и да е ше чакаме следващата стабилна версия и тогава вече каквото dist-upgrade покаже, проблема ми само е че с тестинг требе да го дебнеш да го е.неш, че е много лесно да пропуснеш и после то ще те е.не щото ще прескочи единствения момент в който тестигна всичко му е натъманено спрямо новоизлязлата стабилна версия преди да почне да дърпа простотиите от новата тестова/нестабилна
Инак тестинга е много флексибъл - чак сексибъл  [_]3
« Последна редакция: Jan 01, 2021, 22:14 от remotexx »
Активен

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
dos през 2020-та година
Настройка на програми
stealth01 4 824 Последна публикация Apr 04, 2020, 19:59
от go_fire